package com.zj365.health.act.psychological

import androidx.recyclerview.widget.LinearLayoutManager
import com.xty.base.act.BaseVmAct
import com.xty.base.vm.BaseVm
import com.zj365.health.adapter.psychological.PsychologicalRecommendAdapter
import com.zj365.health.databinding.ActPsychologicalResultBinding

class PsychologicalResultAct: BaseVmAct<BaseVm>() {
    val binding by lazy { ActPsychologicalResultBinding.inflate(layoutInflater) }

    val mAdapter by lazy { PsychologicalRecommendAdapter() }

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mTvTitle.text = "性格测试总结"
        binding.title.mIvBack.setOnClickListener {
            finish()
        }

        binding.recycler.layoutManager = LinearLayoutManager(this)
        binding.recycler.adapter = mAdapter
    }

    override fun liveObserver() {
    }

    override fun setLayout() = binding.root
}